net.sourceforge.jnlp.cache

## Class DefaultDownloadIndicator

- java.lang.Object
- - net.sourceforge.jnlp.cache.DefaultDownloadIndicator

All Implemented Interfaces:
  DownloadIndicator

    public class DefaultDownloadIndicator
    extends java.lang.Object
    implements DownloadIndicator

Show the progress of downloads.

### Constructor Summary

Constructors
Constructor and Description
`DefaultDownloadIndicator()`

### Method Summary

Methods
`static javax.swing.JFrame` `createDownloadIndicatorFrame(boolean undecorated)`
`void` `disposeListener(DownloadServiceListener listener)` Remove a download service listener that was obtained by calling the getDownloadListener method from the shared download info window.
`int` `getInitialDelay()` Return the initial delay before obtaining a listener.
`DownloadServiceListener` `getListener(ApplicationInstance app, java.lang.String downloadName, java.net.URL[] resources)` Return a download service listener that displays the progress in a shared download info window.
`int` `getUpdateRate()` Return the update rate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultDownloadIndicator

    public DefaultDownloadIndicator()

### Method Detail

#### getUpdateRate

    public int getUpdateRate()

Return the update rate.

Specified by:
  `getUpdateRate` in interface `DownloadIndicator`
Returns:
  rate in milliseconds, must be >= 0

#### getInitialDelay

    public int getInitialDelay()

Return the initial delay before obtaining a listener.

Specified by:
  `getInitialDelay` in interface `DownloadIndicator`
Returns:
  delay in milliseconds, must be >= 0

#### getListener

    public DownloadServiceListener getListener(ApplicationInstance app,
                                      java.lang.String downloadName,
                                      java.net.URL[] resources)

Return a download service listener that displays the progress in a shared download info window.

Specified by:
  `getListener` in interface `DownloadIndicator`
Parameters:
  `app` - the downloading application, or null if N/A
  `downloadName` - name identifying the download to the user
  `resources` - initial urls to display (not required)

#### createDownloadIndicatorFrame

    public static javax.swing.JFrame createDownloadIndicatorFrame(boolean undecorated)
                                                           throws java.awt.HeadlessException

Throws:
  `java.awt.HeadlessException`

#### disposeListener

    public void disposeListener(DownloadServiceListener listener)

Remove a download service listener that was obtained by calling the getDownloadListener method from the shared download info window.

Specified by:
  `disposeListener` in interface `DownloadIndicator`
Parameters:
  `listener` - the listener that is no longer in use